import Point from './Point';
import Pixel from './Pixel';
declare class BaiduMapMercatorProjection {
    static EARTHRADIUS: number;
    static MCBAND: number[];
    static LLBAND: number[];
    static MC2LL: number[][];
    static LL2MC: number[][];
    static getDistanceByMC: (point1: any, point2: any) => any;
    static getDistanceByLL: (point1: any, point2: any) => any;
    static convertMC2LL: (point: any) => Point;
    static convertLL2MC: (point: any) => Point;
    static convertor: (fromPoint: any, factor: any) => Point;
    static getDistance: (x1: any, x2: any, y1: any, y2: any) => number;
    static toRadians: (angdeg: any) => number;
    static toDegrees: (angrad: any) => number;
    static getRange: (v: any, a: any, b: any) => any;
    static getLoop: (v: any, a: any, b: any) => any;
    lngLatToMercator(point: any, curCity?: any): Point;
    lngLatToPoint(point: Point): Pixel;
    mercatorToLngLat(point: any, curCity?: any): Point;
    pointToLngLat(point: any): Point;
    pointToPixel(point: any, zoom: any, mapCenter: any, mapSize: any, curCity: any): Pixel;
    pixelToPoint(pixel: any, zoom: any, mapCenter: any, mapSize: any, curCity: any): Point;
    getZoomUnits(zoom: any): number;
}
export default BaiduMapMercatorProjection;
